# Class: Button

## M_.Button()

Display a button

## Constructor

#### new Button()

##### Properties:

Name | Type | Description
--- | --- | ---
`text` | type |
`cls` | type |
`handler` | type |

### Extends

- M_.Outlet

### Methods

#### create() → {type}

Overrides:
  - M_.Outlet#create

##### Returns:

Type
  type

#### destroy()

Destroy the outlet

Inherited From:
  - M_.Outlet#destroy

#### findEl(selector) → {jQuery}

Search a class or selector in the container, like $.find()

##### Parameters:

Name | Type | Description
--- | --- | ---
`selector` | string |

Inherited From:
  - M_.Outlet#findEl

##### Returns:

Type
  jQuery

#### getEl() → {jquery}

Return jEl element. Generally the main object.

Inherited From:
  - M_.Outlet#getEl

##### Returns:

the main jQuery element

Type
  jquery